package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterProject;
import com.lightinit.hsdatashow.entity.StWaterProjectExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterProjectMapper {
    long countByExample(StWaterProjectExample example);

    int deleteByExample(StWaterProjectExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterProject record);

    int insertSelective(StWaterProject record);

    List<StWaterProject> selectByExample(StWaterProjectExample example);

    StWaterProject selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterProject record, @Param("example") StWaterProjectExample example);

    int updateByExample(@Param("record") StWaterProject record, @Param("example") StWaterProjectExample example);

    int updateByPrimaryKeySelective(StWaterProject record);

    int updateByPrimaryKey(StWaterProject record);
}